TechDraw View/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Noua vedere TechDraw")
 
(Created page with "==Descriere== Instrumentul Vizualizare adaugă o reprezentare a unuia sau mai multor obiecte pe o pagină de desen. Acesta este blocul de bază al modulului TechDraw. La plup...")
Line 2: Line 2:
{{GuiCommand|Name=TechDraw NewView|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → View|Shortcut=na|SeeAlso=}}
{{GuiCommand|Name=TechDraw NewView|Workbenches=[[TechDraw Module|TechDraw]]|MenuLocation=TechDraw → View|Shortcut=na|SeeAlso=}}


==Description==
==Descriere==
Instrumentul Vizualizare adaugă o reprezentare a unuia sau mai multor obiecte pe o pagină de desen. Acesta este blocul de bază al modulului TechDraw. La plupart des autres vues proviennent de NewView.
The View tool adds a representation of one or more objects to a Drawing page. This is the basic building block of the TechDraw module. Most other Views are derived in some way from NewView.
[[File:ViewOfBox2.png|200px|center]]
[[File:ViewOfBox2.png|200px|center]]



Revision as of 10:43, 20 September 2018

TechDraw NewView

Menu location
TechDraw → View
Workbenches
TechDraw
Default shortcut
na
Introduced in version
-
See also
None

Descriere

Instrumentul Vizualizare adaugă o reprezentare a unuia sau mai multor obiecte pe o pagină de desen. Acesta este blocul de bază al modulului TechDraw. La plupart des autres vues proviennent de NewView.

File:ViewOfBox2.png

How to use

  1. Select one or more objects (Body, App::Part, Part::Feature, Draft object, ... See Notes) in the 3D window or tree.
  2. If you have multiple drawing pages in your document, you will also need to select the desired page in the tree.
  3. Press the File:Techdraw-view.png View button

Options

None.

Properties

  • DateX: The view's horizontal position on the page. (1)
  • DateY: The view's vertical position on the page. (1)
  • DateLockPosition: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • DateRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • DateScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • DateScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • DateCaption: Optional short text caption.
  • DateSource: Links to the Drawable Objects to be depicted
  • DateDirection: A vector representing the viewing direction. See note below. (1)
  • DatePerspective: True for perspective projection, false for orthogonal projection.
  • DateFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.
  • DateCoarseView: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. See Notes.
  • DateSmooth Visible Lines: Visible Smooth lines on/off.
  • DateSeam Visible Lines: Visible Seam lines on/off.
  • DateIso Visible Lines: Visible Isometric(u,v) lines on/off.
  • DateHard Hidden Lines: Hidden lines on/off.
  • DateSmooth Hidden Lines: Hidden Smooth lines on/off.
  • DateSeam Hidden Lines: Hidden Seam lines on/off.
  • DateIso Hidden Lines: Hidden Isometric(u,v) lines on/off.
  • DateIso Count: Number of Isometric(u,v) lines to draw on each face.
  • VizualizareKeep Label: Always show View Label if true.
  • VizualizareLineWidth: The thickness of visible lines. See Line Groups.
  • VizualizareHiddenWidth: The thickness of hidden lines, if enabled.
  • VizualizareIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • VizualizareExtraWidth: not implemented yet.
  • VizualizareShowCenters: Circle/arc center marks on/off.
  • VizualizareCenterScale: Circular arc center mark size adjustment, if enabled.
  • VizualizareHorizCenterLine: Show a horizontal centerline through view.
  • VizualizareVertCenterLine: Show a vertical centerline through view.
  • VizualizareShowSectionLine: Show/hide section line if applicable.

(1) these properties are common to all View types.

Scripting

Views can be added to Pages using Python.

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)

Notes

  • View will draw anything with a Shape property. You can select Draft objects or Bodies also. View will also extract any shapes from objects within an App::Part container or a DocumentObject Group.
  • Projection Direction property: This vector controls the direction from which you are viewing the object. +X is right, -X is left, +Y is rear, -Y is front (looking into the screen), +Z is up and -Z is down. So a Front view is (0,-1,0) and an isometric view is (1,-1,1).
  • CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
  • Note that CoarseView is affected by an upstream bug in OCCT (#3332) which causes the View's position on the Page to be slightly off from the specified X,Y values.